GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "a6842696-0942-4339-858d-c7860808347b",
"Asset": {
"AssetId": "f3b3fc7a-08c5-4d66-a112-de41453c0878",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "0df4c66b-ad81-452a-9bd2-cf650a93b62e",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"MeasurementValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "147a014d-27fa-419b-a770-e93865ccb5f6",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"MeasurementValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "e580a14d-1711-4d51-be6a-3969efd205b3",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "284607c8-d095-43bf-a3ba-26606a72f250",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "8785849b-58fa-4c67-8897-e579366ee896",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-02T16:10:52.639293-08:00",
"Location": "sample string 1",
"TaskId": "7b021257-a3ad-4c0f-a50b-6bf10fafc21b",
"Values": [
{
"FormFieldValueId": "0f88b937-a4bd-43d9-9699-e4d573ae179d",
"FormId": "b343851e-5b1b-4b93-bf76-319f3b8f1fb8",
"FormTypeField": {
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"FormType": {
"FormTypeId": "284607c8-d095-43bf-a3ba-26606a72f250",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "8785849b-58fa-4c67-8897-e579366ee896",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "0f88b937-a4bd-43d9-9699-e4d573ae179d",
"FormId": "b343851e-5b1b-4b93-bf76-319f3b8f1fb8",
"FormTypeField": {
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"FormType": {
"FormTypeId": "284607c8-d095-43bf-a3ba-26606a72f250",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "8785849b-58fa-4c67-8897-e579366ee896",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "ba42db2c-04fa-46d5-9123-1eaaec41d8ee",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "a6842696-0942-4339-858d-c7860808347b",
"Asset": {
"AssetId": "f3b3fc7a-08c5-4d66-a112-de41453c0878",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "0df4c66b-ad81-452a-9bd2-cf650a93b62e",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"MeasurementValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "147a014d-27fa-419b-a770-e93865ccb5f6",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"MeasurementValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "e580a14d-1711-4d51-be6a-3969efd205b3",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "284607c8-d095-43bf-a3ba-26606a72f250",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "8785849b-58fa-4c67-8897-e579366ee896",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-02T16:10:52.639293-08:00",
"Location": "sample string 1",
"TaskId": "7b021257-a3ad-4c0f-a50b-6bf10fafc21b",
"Values": [
{
"FormFieldValueId": "0f88b937-a4bd-43d9-9699-e4d573ae179d",
"FormId": "b343851e-5b1b-4b93-bf76-319f3b8f1fb8",
"FormTypeField": {
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"FormType": {
"FormTypeId": "284607c8-d095-43bf-a3ba-26606a72f250",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "8785849b-58fa-4c67-8897-e579366ee896",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "0f88b937-a4bd-43d9-9699-e4d573ae179d",
"FormId": "b343851e-5b1b-4b93-bf76-319f3b8f1fb8",
"FormTypeField": {
"FormTypeFieldId": "f2fe39a3-907b-4a6e-8597-ed0d3d2b3ca8",
"FormType": {
"FormTypeId": "284607c8-d095-43bf-a3ba-26606a72f250",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "bcaed8de-e22d-4c4c-9c00-c99976ce16fe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "8708e1f5-37ad-4973-923a-ca176d1b0679",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-02T16:10:52.639293-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "8785849b-58fa-4c67-8897-e579366ee896",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "88432df3-8c1e-4cdd-88f1-2732b33ad5c5",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "7e986cbc-9db2-439a-93b7-0fe7ac8a8a88",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "65039d68-c4f7-4a39-b908-e467894f785d",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2194067-1286-47a3-8c0b-8bb47c5085a0",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "64696a19-292c-4b14-8c05-bd7a2be566e4",
"FieldId": "de9c7809-cc67-4b22-a2d4-3e5fc456751c",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "ba42db2c-04fa-46d5-9123-1eaaec41d8ee",
"CreateDate": "2026-11-02T16:10:52.639293-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-02T16:10:52.639293-08:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}